import type { FileName } from "./FileName";
import type { FileSize } from "./FileSize";
import type { FileTag } from "./FileTag";
import type { MimeType } from "./MimeType";
import type { UserId } from "./UserId";
/**
 * File upload initialization request.
 */
export declare type BeginUploadRequest = {
    fileName?: FileName;
    fileSize: FileSize;
    mime?: MimeType;
    tag?: FileTag;
    userId?: UserId;
};
