import type { FileId } from "./FileId";
import type { FilePartCount } from "./FilePartCount";
import type { UploadPart } from "./UploadPart";
/**
 * File upload initialization response.
 */
export declare type BeginUploadResponse = {
    fileId: FileId;
    uploadParts: {
        first: UploadPart;
        count: FilePartCount;
    };
};
